<?php

/*
  Plugin Name: WP Amaz-One
  Plugin URI: http://wp-amazone.com/
  Description: Your amazing All-In-One Amazon auto posting and traffic solution.
  Version: 2.5.0.3
  Author: Lisa Gergets and Carl Thorpe
  Author URI: http://wp-amazone.com/
 */
?>
<?php

define('AMAZON_URL', WP_CONTENT_URL . '/plugins/' . plugin_basename(dirname(__FILE__)) . '/');
include('updatedb.php');
include('create_post.php');
include('ama_popupcamp.php');
include('ama_function.php');
include('ama_unzip.php');
include('ama-uniquifypost.php');
include('bannercamp.php');
include('ama-shortcode.php');
include('ama_futurepost.php');
//if (!class_exists('FacebookApiException'))
   // include('facebookapi/facebook.php');
//if (!class_exists('Twitter'))
    //include('twitter/class.php');

$ama_version = '2.1';

add_action('init', 'ama_set_js', 1);

function amazone_add_options_page() {
    add_menu_page(__('General Setting'), __('WP Amaz-One'), 'manage_options', 'ama_general_setting', 'ama_general_setting_page', '');
    add_submenu_page('ama_general_setting', __('General Settings'), __('General Settings'), 'manage_options', 'ama_general_setting', 'ama_general_setting_page');
    add_submenu_page('ama_general_setting', __('Amazon Settings'), __('Amazon Settings'), 'manage_options', 'amazone_setting', 'ama_option_page');
    add_submenu_page('ama_general_setting', __('Create Campaign'), __('Create Campaign'), 'manage_options', 'create_campaigns', 'ama_create_campaigns');
    add_submenu_page('ama_general_setting', __('Campaigns'), __('Current Campaigns'), 'manage_options', 'amazone_api', 'ama_list_campaigns');
    add_submenu_page('ama_general_setting', __('Create Text Banners'), __('Create Text Banners'), 'manage_options', 'create_banner_campaigns', 'ama_create_banner_campaigns');
    add_submenu_page('ama_general_setting', __('Text Banner List'), __('Text Banner List'), 'manage_options', 'amazone_api_banner', 'ama_list_banner_campaigns');
    add_submenu_page('ama_general_setting', __('Create Text Links'), __('Create Text Links'), 'manage_options', 'create_popup_campaigns', array('ama_popupcamp', 'addCamp'));
    add_submenu_page('ama_general_setting', __('Text Link Campaign List'), __('Text Link Campaign List'), 'manage_options', 'amazone_popup_campaigns', array('ama_popupcamp', 'listCamp'));
//    add_submenu_page('ama_general_setting', __('Twitter Settings'), __('Twitter Auto-Posting'), 'manage_options', 'twittet_setting', 'ama_twitteroption_page');
//    add_submenu_page('ama_general_setting', __('Facebook Settings'), __('Facebook Auto-Posting'), 'manage_options', 'facebook_setting', 'ama_facebookoption_page');
    add_submenu_page('ama_general_setting', __('Amazon Affiliate ID'), __('Amazon Affiliate ID'), 'manage_options', 'update_amatags', 'ama_updateTag');
    add_submenu_page('ama_general_setting', __('Clone Deployment'), __('Clone Deployment'), 'manage_options', 'clone_deployment', 'ama_cloneDeploy');
    add_submenu_page('ama_general_setting', __('Tutorial'), __('Tutorial'), 'manage_options', 'ama_tutorial', 'ama_tutorial');
    add_submenu_page('ama_general_setting', __('Upgrade Plugin'), __('Upgrade Plugin'), 'manage_options', 'ama_upgrade_plugin', 'ama_upgrade_plugin_page');
    add_submenu_page('ama_general_setting', __('Upgrade Plugin'), __(''), 'manage_options', 'ama_upgrade_success', 'ama_upgrade_success_page');
    add_submenu_page('', __('Text Banner Ads'), __(''), 'manage_options', 'ama_camp_banner_list', 'ama_camp_banner_list');
    add_submenu_page('', __('Text Link Banner Ads'), __(''), 'manage_options', 'ama_pop_product', array('ama_popupcamp', 'campPro'));
    wp_enqueue_script('amazone_api', AMAZON_URL . 'js/script.js');
    wp_enqueue_script('jquery');
    wp_enqueue_script('jquery-ui-core');
    wp_enqueue_script('ama-datepicker-js', AMAZON_URL . '/js/jquery.datepicker.js');
    wp_enqueue_style('amazone_api_css', AMAZON_URL . 'css/style.css');
    wp_enqueue_style('amazone_datepicker_css', AMAZON_URL . 'css/jquery.ui.all.css');
    wp_enqueue_style('farbtastic');
    wp_enqueue_script('farbtastic');
}

function ama_set_js() {
    wp_enqueue_script('ama-js', AMAZON_URL . '/js/IFrame.js');
    wp_enqueue_style('amazone_api', AMAZON_URL . 'css/amazon.css');
}

//if (!isset($_POST['ama_tagsubmit']))
//    add_action('publish_post', 'ama_twitter_autopost');

if (get_option('admin_menu') == 'amazone_add_options_page')
    update_action('admin_menu', 'amazone_add_options_page');
else
    add_action('admin_menu', 'amazone_add_options_page');

define('MISSEDSCHEDULED_DELAY', 2);

function ama_missed_schedule_init() {
    global $wpdb;
    $last = get_option('missed_schedule', false);
    if (($last !== false) && ($last > (time() - (MISSEDSCHEDULED_DELAY * 60))))
        return;
    update_option('missed_schedule', time());
    $missedIDs = $wpdb->get_col("SELECT `ID` FROM `{$wpdb->posts}` " . "WHERE ( " . "    ( " . "    ((`post_date_gmt` > 0) && (`post_date_gmt` <= UTC_TIMESTAMP())) " . ")) AND `post_status` = 'future'");
    if (!count($missedIDs))
        return;
    foreach ($missedIDs as $missedID) {
        if (!$missedID)
            continue;
        wp_publish_post($missedID);
    }
}

function ama_run_updates() {
    if (isset($_GET['activate']) && $_GET['activate'] == 'true') {
        ama_alter_table();
    }
}

add_action('init', 'ama_run_updates', 1);
add_action('init', 'ama_missed_schedule_init', 0);
$plugin = plugin_basename(__FILE__);
$plugin_data = "this is plugin flle $plugin";
$context = "this is plugin flle $plugin";
add_filter('the_excerpt', 'do_shortcode', 11);
add_filter('the_content', 'do_shortcode', 11);
?>