<?php

function ama_product_shortcode($content) {
    global $post, $wpdb;
    $amacontent = "";
    $arrAsin = get_post_meta($post->ID, '_amazon_asin_key');
    if ($arrAsin && is_array($arrAsin) && isset($arrAsin[0])) {
        $sql = "SELECT amazon_des_length FROM `" . $wpdb->prefix . "ama_option`";
        $deslength = $wpdb->get_var($sql);
        $deslength = $deslength ? $deslength : 250;
        $sql = "SELECT * FROM `" . $wpdb->prefix . "ama_general_settings`";
        $generalset = $wpdb->get_row($sql);
        $metaCamp = get_post_meta($post->ID, '_amazon_campid');
        $metaDes = get_post_meta($post->ID, 'amazon_description');
        $metaPformat = get_post_meta($post->ID, 'amazon_postformat');
        $postformate = ($metaPformat && is_array($metaPformat) && isset($metaPformat[0]) && is_numeric($metaPformat[0])) ? $metaPformat[0] : 1;
        $metaBformat = get_post_meta($post->ID, 'amazon_buttonformat');
        $btnformate = ($metaBformat && is_array($metaBformat) && isset($metaBformat[0]) && is_numeric($metaBformat[0])) ? $metaBformat[0] : 1;
        $metaImagealt = get_post_meta($post->ID, 'amazon_image_alt');
        $cnvascii = 0;
        if ($metaCamp && is_array($metaCamp) && isset($metaCamp[0]) && is_numeric($metaCamp[0])) {
            $sql = "SELECT cam_encoding FROM `" . $wpdb->prefix . "ama_campaigns` WHERE cam_id='" . $metaCamp[0] . "'";
            $cnvascii = $wpdb->get_var($sql);
        }

        $arrAmazonkey = explode(',', $arrAsin[0]);
        for ($i = 0; $i < count($arrAmazonkey); $i++) {
            $sql = "SELECT * FROM `" . $wpdb->prefix . "ama_camp_prodata` WHERE asin='" . $arrAmazonkey[$i] . "' AND camtype=0 LIMIT 0,1";
            $prodata = $wpdb->get_row($sql);
            if ($prodata) {
                if (is_page()) {
                    $description = substr($prodata->des, 0, $deslength);
                } else {
                    if ($metaDes && is_array($metaDes) && isset($metaDes[0]))
                        $description = substr($metaDes[0], 0, $deslength);
                    else
                        $description = substr($prodata->des, 0, $deslength);
                }
                if ($cnvascii == 1) {
                    $description = ama_run_obscure($description);
                }
                $amaurl = (isset($generalset->enable_link_cloaking) && $generalset->enable_link_cloaking == 1) ? $prodata->clockurl : $prodata->link;
                $alt = ($metaImagealt && is_array($metaImagealt) && isset($metaImagealt[0])) ? $metaImagealt[0] : $prodata->title;
                $imgcontent = "<a href='" . $amaurl . "' rel='nofollow' target='_blank'><img border='0' src='" . $prodata->imgurl . "' alt='" . $alt . "'></a>";
                $descontent = "<p>" . $description . "<br/>Price:" . $prodata->price . "</p>";
                $btncontent = "<a href='"  . $amaurl . "' rel='nofollow' target='_blank'><img src='" . AMAZON_URL . "images/button" . $btnformate . ".png' alt='" . $alt . "'></a>";
                $readcontent = "<a href='" . $amaurl . "' rel='nofollow' target='_blank'>Read more</a>";
                $reviewcontent = "";
                $youtubecontent = "";
                if (!is_page()) {
                    $reviewcontent = "<div id='amareview'>" . do_shortcode('[amazon-product-reviews]') . "</div>";
                    $metaYoutube = get_post_meta($post->ID, '_amazon_youtube_url');
                    $metaYoutubekeyword = get_post_meta($post->ID, 'amazon_youtube_keyword',true);
                    if ($metaYoutube && is_array($metaYoutube) && isset($metaYoutube[0]) && $metaYoutubekeyword && $metaYoutubekeyword!="") {
                        $youtubecontent = "<div id='amayoutube'><iframe width='100%' height='315' src='" . $metaYoutube[0] . "' frameborder='0' allowfullscreen></iframe></div>";
                    }
                }

                switch ($postformate) {
                    case '1':
                        $amacontent.= "<div id='amaformat1'>";
                        $amacontent.= "<table>";
                        $amacontent.= "<tr>";
                        $amacontent.= "<td>" . $imgcontent . "</td>";
                        $amacontent.= "<td colspan=2 class='amades'>" . $descontent . "</td>";
                        $amacontent.= "</tr>";
                        $amacontent.= "<tr>";
                        $amacontent.= "<td> </td>";
                        $amacontent.= "<td class='readmore'>" . $readcontent . "</td>";
                        $amacontent.= "<td class='btnmore'>" . $btncontent . "</td>";
                        $amacontent.= "</tr>";
                        $amacontent.="</table>";
                        $amacontent.= "</div>";
                        $amacontent.= $reviewcontent;
                        $amacontent.= $youtubecontent;
                        break;
                    case '2':
                        $amacontent.= "<div id='amaformat2'>";
                        $amacontent.= "<table>";
                        $amacontent.= "<tr>";
                        $amacontent.= "<td colspan=2 class='amades'>" . $descontent . "</td>";
                        $amacontent.= "<td>" . $imgcontent . "</td>";
                        $amacontent.= "</tr>";
                        $amacontent.= "<tr>";
                        $amacontent.= "<td class='readmore'>" . $readcontent . "</td>";
                        $amacontent.= "<td class='btnmore'>" . $btncontent . "</td>";
                        $amacontent.= "<td> </td>";
                        $amacontent.= "</tr>";
                        $amacontent.="</table>";
                        $amacontent.= "</div>";
                        $amacontent.= $reviewcontent;
                        $amacontent.= $youtubecontent;
                        break;
                    case '3':
                        $amacontent.= "<div id='amaformat3'>";
                        $amacontent.= "<table>";
                        $amacontent.= "<tr>";
                        $amacontent.= "<td>" . $imgcontent . "</td>";
                        $amacontent.= "<td class='btnmore' colspan=2>" . $btncontent . "</td>";
                        $amacontent.= "</tr>";
                        $amacontent.= "<tr>";
                        $amacontent.= "<td  class='amades' colspan=3>" . $descontent . "</td>";
                        $amacontent.= "</tr>";
                        $amacontent.= "<tr>";
                        $amacontent.= "<td colspan=2></td>";
                        $amacontent.= "<td class='readmore'>" . $readcontent . "</td>";
                        $amacontent.= "</tr>";
                        $amacontent.="</table>";
                        $amacontent.= "</div>";
                        $amacontent.= $reviewcontent;
                        $amacontent.= $youtubecontent;
                        break;
                    default:
                        $amacontent.= "<div id='amaformat1'>";
                        $amacontent.= "<table>";
                        $amacontent.= "<tr>";
                        $amacontent.= "<td>" . $imgcontent . "</td>";
                        $amacontent.= "<td colspan=2 class='amades'>" . $descontent . "</td>";
                        $amacontent.= "</tr>";
                        $amacontent.= "<tr>";
                        $amacontent.= "<td></td>";
                        $amacontent.= "<td class='readmore'>" . $readcontent . "</td>";
                        $amacontent.= "<td class='btnmore'>" . $btncontent . "</td>";
                        $amacontent.= "</tr>";
                        $amacontent.="</table>";
                        $amacontent.= "</div>";
                        $amacontent.= $reviewcontent;
                        $amacontent.= $youtubecontent;
                        break;
                }
            }
        }
    }
    return $amacontent . $content;
}

function ama_update_product() {
    @ini_set('memory_limit', '256M');
    @set_time_limit(0);
    global $wpdb;
    $data_product = array();
    $count = 0;
    $sql = "select * from " . $wpdb->prefix . "ama_option ";
    $api_data = $wpdb->get_results($sql);
    foreach ($api_data as $apidata) {
        $PublicKey = $apidata->api_key;
        $PrivateKey = $apidata->secret_api_key;
        $des_length = $apidata->amazon_des_length;
        $aff_web = $apidata->amazon_web;
    }
    $sql = "SELECT campid,web,affid FROM `" . $wpdb->prefix . "ama_camp_prodata` WHERE camtype='" . rand(0, 1) . "' GROUP BY  campid ORDER BY RAND() LIMIT 0,10";
    $campid = $wpdb->get_results($sql);
    foreach ($campid as $id) {
        $sql = "SELECT asin FROM `" . $wpdb->prefix . "ama_camp_prodata` WHERE campid='" . $id->campid . "'";
        $proasin = $wpdb->get_results($sql);
        $arrAsin = array();
        foreach ($proasin as $asin) {
            $arrAsin[] = $asin->asin;
            if (count($arrAsin) >= 10) {
                break;
            }
        }
        $strAsin = implode(',', $arrAsin);
        $xml = ama_aws_request($PrivateKey, $PublicKey, array("Operation" => "ItemLookup",
            "ItemId" => $strAsin,
            "ResponseGroup" => "Large,VariationSummary",
            "Sort" => "-price",
            "AssociateTag" => $id->affid), $id->web);
        if (isset($xml->Error->Code) || isset($xml['error']['message'])) {
            if (isset($xml->Error->Code)) {
                return;
            } else {
                return;
            }
        } else {
            foreach ($xml->Items->Item as $item) {
                $LowestPrice = ama_getamazonprice($item);
                $pricetypearray = array('$', '£', 'EUR', ',', 'CDN', '￥', "Â");
                $price = (float) str_replace($pricetypearray, '', $LowestPrice);
                if (isset($item->EditorialReviews->EditorialReview->Content) && isset($item->MediumImage->URL) && $LowestPrice != null) {
                    $arrayupdate = array(
                        'title' => $item->ItemAttributes->Title[0],
                        'link' => $item->DetailPageURL,
                        'price' => $LowestPrice,
                        'des' => $item->EditorialReviews->EditorialReview->Content,
                        'imgurl' => $item->MediumImage->URL[0],
                    );
                    $tablename = $wpdb->prefix . "ama_camp_prodata";
                    $where = array('campid' => $id->campid, 'asin' => $item->ASIN);
                    $wpdb->update($tablename, $arrayupdate, $where);
                }
            }
        }
    }
}

function ama_redirect_url() {
    global $wpdb;
    $Link = "";
    $url = "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
    $sql = "SELECT link FROM `" . $wpdb->prefix . "ama_camp_prodata` WHERE clockurl='" . $url . "'";
    $Link = $wpdb->get_var($sql);
    if ($Link == "") {
        $sql = "SELECT link FROM `" . $wpdb->prefix . "ama_bannercamp_product` WHERE clocklink='" . $url . "'";
        $Link = $wpdb->get_var($sql);
    }
    if ($Link != "") {
        header('Location: ' . $Link);
        exit();
    }
}

if (!get_option('ama_run_proupdate') || time() - get_option('ama_run_proupdate') >= 86400) {
    add_action('init', 'ama_update_product');
    update_option('ama_run_proupdate', time());
}

function ama_the_content($content) {
    // create popup
    $content = ama_popupcamp::replaceContent($content);

    //convert content into ascii code
    $content = ama_decode_content($content);

    //display amazon product

    $content = ama_product_shortcode($content);

    return $content;
}

add_action('the_content', 'ama_the_content');
//add_action('the_excerpt', 'ama_the_content');
add_action('init', 'ama_redirect_url');
if(is_single() || is_page()){
    add_action('the_content', 'ama_the_content');
}
?>
